View recipients

Returns all recipients that meet the specified parameters (if any) and that are associated with the Nexio account used to authenticate.

You may also request to return additional parameters and/or filter results using one or more query parameters.

Notes

For example, to return (filter) all recipients where the address' country is NL and also (request to include) the recipientIdNumbers object in the response, the request would look like this: /payout/v3/recipient?recipientIdNumbers.&country=NL

To return (filter) only the recipient with the specified recipientRef parameter, the request would look like this: /payout/v3/recipient?recipientRef=10524260

For a more detailed tutorial, see the query parameters section of Guides.

Try It

To use the Try It feature for this endpoint, you must use the credentials for your Sandbox API user.

Request parameters

  • limit
  • offset
  • startDate
  • endDate
  • recipientId
  • recipientRef
  • providerRecipientRef
  • providerType
  • email
  • firstName
  • lastName
  • phoneNumber
  • mobileNumber
  • addressLine1
  • addressLine2
  • city
  • region
  • postalCode
  • country
  • countryOfBirth
  • countryOfNationality
  • providerId
  • payoutAccountId
  • recipientIdNumbers
  • recipientIdNumbers.governmentId
  • recipientIdNumbers.passportId
  • recipientIdNumbers.employerId
  • recipientIdNumbers.driversLicenseId
  • userType
  • birthDate
  • gender
  • addressType
  • phoneNumberCountry
  • mobileNumberCountry
  • governmentIdType
  • createdAt
  • updatedAt

Response parameters

  • offset
  • limit
  • rows
  • rows.recipientRef
  • rows.recipientId
  • rows.payoutAccountId
  • rows.providerId
  • rows.providerType
  • rows.providerRecipientRef
  • rows.userType
  • rows.firstName
  • rows.lastName
  • rows.gender
  • rows.birthDate
  • rows.countryOfBirth
  • rows.countryOfNationality
  • rows.addressLine1
  • rows.addressLine2
  • rows.city
  • rows.region
  • rows.postalCode
  • rows.country
  • rows.email
  • rows.phoneNumber
  • rows.mobileNumber
  • rows.governmentIdType
  • rows.recipientIdNumbers
  • rows.recipientIdNumbers.governmentId
  • rows.recipientIdNumbers.passportId
  • rows.recipientIdNumbers.employerId
  • rows.recipientIdNumbers.driversLicenseId
  • rows.createdAt
  • rows.updatedAt
  • hasMore
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
integer
Defaults to 10

The maximum number of recipients to return in a response (starting from the default or specified offset query parameter).

integer
Defaults to 0

The offset indicates to the system to skip that many recipient records before beginning to return recipients in a response. Setting offset=0 is the same as omitting the offset parameter. If you use both offset and limit, the offset recipients are skipped before starting to count the recipients to limit.

string

The start date to use for a search of when a recipient record was created. Format: YYYY-MM-DD. However, you can specify parts of the date as well, such as 2021-10 to get all recipients created starting in the fourth quarter of 2021. Can be used with endDate to specify a range. The default value is 30 days prior to the current date.

string

The end date to use for a search of when a recipient record was created. Format: YYYY-MM-DD. However, you can specify parts of the date as well, such as 2021-10 to get all recipients created in the month of October of 2021. Can be used with startDate to specify a range. The default is the current date.

integer

The Nexio ID for the recipient. This value is used to perform an 'exact match' search.

string
length ≤ 100

Payer's unique reference value for the recipient. Use this to allow for easier synchronization and searching across different systems. This value is used to perform a 'contains' search.

string
length ≤ 100

Reference value for the recipient from the payout provider. Use this to allow for easier synchronization and searching across different systems. This value is used to perform a 'contains' search.

integer
enum

The Nexio ID for the provider configuration used to create the recipient. This value is used to perform an 'exact match' search.

Possible values include the following:
10 - Interchecks
20 - Hyperwallet
30 - Payquicker
40 - Nexio's mock payout provider for quicker sandbox integration.

Allowed:
string
length ≤ 200

The recipient's email address. This value is used to perform a 'contains' search.

string
length ≤ 200

The recipient's first name. This value is used to perform a 'contains' search.

string
length ≤ 200

The recipient's last name. This value is used to perform a 'contains' search.

string
length ≤ 20

The recipient's phone number. This value is used to perform a 'contains' search.

string
length ≤ 20

The recipient's mobile phone number. This value is used to perform a 'contains' search.

string
length ≤ 200

The recipient's street address. This value is used to perform a 'contains' search.

string
length ≤ 200

Additional information about the recipient's street address. This value is used to perform a 'contains' search.

string
length ≤ 50

The recipient's city. This value is used to perform a 'contains' search.

string
length ≤ 50

The recipient's state, province, or region. This value is used to perform a 'contains' search.

string
length ≤ 20

The recipient's postal code. This value is used to perform a 'contains' search.

string
length ≤ 50

The two-character (Alpha-2) ISO country code for the recipient's address. This value is used to perform a 'contains' search.

string
length ≤ 50

The two-character (Alpha-2) ISO code for the country where the recipient was born. This value is used to perform a 'contains' search.

string
length ≤ 50

The two-character (Alpha-2) ISO code for the recipient's country of citizenship or nationality. This value is used to perform a 'contains' search.

integer

The Nexio ID for the provider. Indicates which payout provider was associated with this recipient profile. This value is used to perform an 'exact match' search.

integer

The Nexio ID for the payout account. Useful for identifying the business or business segment associated with the recipient. This value is used to perform a 'contains' search.

string

Send this as an empty query parameter in order to have all recipient ID number data for the recipient returned in the response. For example, https://{api_url}/payout/v3/recipient?recipientIdNumbers., returns all recipients for the API user (as a paged list) and gives all information from the recipientIdNumbers object in the response. Alternatively, you can instead send a specific recipientIdNumbers parameter (such as governmentId) to match against and you will get the entire recipientIdNumbers object for each of the matching recipients.

string
length ≤ 50

The recipient's government ID. The value corresponds to the selection for the governmentIdType parameter. This value is used to perform a 'contains' search.

string
length ≤ 50

The recipient's passport ID. This value is used to perform a 'contains' search.

string
length ≤ 50

The recipient's employer ID. This is generally used for tax purposes. This value is used to perform a 'contains' search.

string
length ≤ 50

The recipient's driver's license number. This value is used to perform a 'contains' search.

string
enum

The user type associated with the recipient. This value is used to perform an 'exact match' search.

Allowed:
string

The recipient's date of birth, formatted as an ISO-8601 date. This value is used to perform a 'contains' search.

string
enum

The recipient's gender. This value is used to perform a 'contains' search.

Allowed:
string
enum

The type of address associated with this recipient for the specified address information. This value is used to perform a 'contains' search.

Allowed:
string
length ≤ 50

The country associated with the recipient's phone number. This value is used to perform a 'contains' search.

string
length ≤ 50

The country associated with the recipient's mobile phone number. This value is used to perform a 'contains' search.

string

Type of the government ID provided for the recipient. This value is used to perform a 'contains' search.

The ID indicated by this value corresponds to the ID provided in the recipientIdNumbers.governmentId parameter.

string

The date and time the recipient record was created in Nexio, formatted as an ISO-8601 date expressed in UTC. This value is used to perform a 'contains' search.

string

The date and time the recipient record was most recently updated in Nexio, formatted as an ISO-8601 date expressed in UTC. This value is used to perform a 'contains' search.

Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json